Loading...
Searching...
No Matches
XrdCms::CmsPrepAddRequest Struct Reference

`#include <YProtocol.hh>`

Collaboration diagram for XrdCms::CmsPrepAddRequest:

## Public Types

enum | { kYR_stage = 0x0001 , kYR_write = 0x0002 , kYR_coloc = 0x0004 , kYR_fresh = 0x0008 , kYR_metaman = 0x0010 }

## Public Attributes

CmsRRHdr | Hdr

## Detailed Description

Definition at line 408 of file YProtocol.hh.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
kYR_stage |
kYR_write |
kYR_coloc |
kYR_fresh |
kYR_metaman |

Definition at line 411 of file YProtocol.hh.

{kYR_stage = 0x0001, // Stage the data
kYR_write = 0x0002, // Prepare for writing
kYR_coloc = 0x0004, // Prepare for co-location
kYR_fresh = 0x0008, // Prepare by time refresh
kYR_metaman = 0x0010 // Prepare via meta-manager
};
XrdCms::CmsPrepAddRequest::kYR_write
@ kYR_write
Definition YProtocol.hh:412
XrdCms::CmsPrepAddRequest::kYR_fresh
@ kYR_fresh
Definition YProtocol.hh:414
XrdCms::CmsPrepAddRequest::kYR_coloc
@ kYR_coloc
Definition YProtocol.hh:413
XrdCms::CmsPrepAddRequest::kYR_stage
@ kYR_stage
Definition YProtocol.hh:411
XrdCms::CmsPrepAddRequest::kYR_metaman
@ kYR_metaman
Definition YProtocol.hh:415

## Member Data Documentation

## Hdr

CmsRRHdr XrdCms::CmsPrepAddRequest::Hdr

Definition at line 409 of file YProtocol.hh.

The documentation for this struct was generated from the following file:

- YProtocol.hh